%define major      1
%define libname5   %mklibname packagekitqt5_ %{major}
%define develname5 %mklibname %{name}5 -d

Name:	  	packagekit-qt
Version:	1.0.2
Release:	%mkrel 3
Summary:	A DBUS packaging abstraction layer
License:	GPLv2+
Group:		System/Packaging
URL:		http://www.packagekit.org
Source0:	https://github.com/hughsie/PackageKit-Qt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	packagekit >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	cmake

Requires:	packagekit >= %{version}

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n	%{libname5}
Summary:	Libraries for accessing PackageKit-Qt5
Group:		System/Packaging
Requires:	packagekit >= %{version}

%description -n	%{libname5}
Libraries for accessing PackageKit-Qt5.

%package -n	%{develname5}
Summary:	Libraries and headers for PackageKit-Qt5
Group:		Development/Other
Requires:	%{libname5} = %{version}-%{release}
Provides:	%{name}5-devel = %{version}-%{release}

%description -n	%{develname5}
Headers and libraries for PackageKit-Qt5.

%prep
%setup -q -n PackageKit-Qt-%{version}
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files -n %{libname5}
%{_libdir}/libpackagekitqt5.so.%{major}
%{_libdir}/libpackagekitqt5.so.%{version}

%files -n %{develname5}
%{_includedir}/packagekitqt5
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%{_libdir}/cmake/packagekitqt5


%changelog
* Thu Dec 17 2020 luigiwalser <luigiwalser> 1.0.2-3.mga8
+ Revision: 1660528
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1659227
- Rebuild for new Qt5

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.0.2-1.mga8
+ Revision: 1651771
- 1.0.2

* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-4.mga8
+ Revision: 1524848
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1383811
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300087
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1211484
- Update to version 1.0.1
- Removed Qt4
- Removed old patch

* Fri Jul 22 2016 daviddavid <daviddavid> 0.9.5-7.mga6
+ Revision: 1043112
- rebuild against fixed packagekit (Thanks to Neal Gompa)
- update Description from subpackages

* Tue Feb 16 2016 umeabot <umeabot> 0.9.5-6.mga6
+ Revision: 961990
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 neoclust <neoclust> 0.9.5-5.mga6
+ Revision: 855473
- Fix Qt5 build

* Wed Nov 12 2014 fwang <fwang> 0.9.5-4.mga5
+ Revision: 796547
- try use full gnu dirs

* Wed Nov 12 2014 fwang <fwang> 0.9.5-3.mga5
+ Revision: 796543
- hardcode includedir

* Sat Oct 25 2014 fwang <fwang> 0.9.5-2.mga5
+ Revision: 793101
- try rebuild to fix apper compilation

* Thu Oct 16 2014 fwang <fwang> 0.9.5-1.mga5
+ Revision: 761399
- update file list
- update file list
- 0.9.5
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-3.mga5
+ Revision: 683307
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 0.9.2-2.mga5
+ Revision: 660867
- fix file list
- conditioned qt5 build
- fix dir
- build also qt4 flavour

* Thu Aug 07 2014 fwang <fwang> 0.9.2-1.mga5
+ Revision: 660816
- update file list
- fix pkgname
- 0.9.2

* Sun Jul 20 2014 neoclust <neoclust> 0.8.8-4.mga5
+ Revision: 654810
- Workaround issue with cmake file

* Mon Jan 06 2014 pterjan <pterjan> 0.8.8-3.mga4
+ Revision: 565142
- Rebuild with fixed packagekit

* Sat Oct 19 2013 umeabot <umeabot> 0.8.8-2.mga4
+ Revision: 530883
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 0.8.8-1.mga4
+ Revision: 460843
- update file list
- new version 0.8.8

* Tue Jan 22 2013 fwang <fwang> 0.8.6-4.mga3
+ Revision: 390717
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.8.6-3.mga3
+ Revision: 362344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.6-2.mga3
+ Revision: 323758
- correct libname

* Sat Dec 01 2012 fwang <fwang> 0.8.6-1.mga3
+ Revision: 323717
- add requires as it is communcating to pk via dbus
- update file list
- imported package packagekit-qt

